► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Init Libraries
14 | Platform Dependencies
| Index

▼ | 3 | Windowing Classes

3.1 | area<%>
3.2 | area-container<%>
3.3 | area-container-window<%>
3.4 | button%
3.5 | canvas<%>
3.6 | canvas%
3.7 | check-box%
3.8 | checkable-menu-item%
3.9 | choice%
3.10 | clipboard-client%
3.11 | clipboard<%>
3.12 | combo-field%
3.13 | control<%>
3.14 | column-control-event%
3.15 | control-event%
3.16 | cursor%
3.17 | dialog%
3.18 | event%
3.19 | frame%
3.20 | gauge%
3.21 | group-box-panel%
3.22 | grow-box-spacer-pane%
3.23 | horizontal-pane%
3.24 | horizontal-panel%
3.25 | key-event%
3.26 | labelled-menu-item<%>
3.27 | list-box%
3.28 | list-control<%>
3.29 | menu%
3.30 | menu-bar%
3.31 | menu-item<%>
3.32 | menu-item%
3.33 | menu-item-container<%>
3.34 | message%
3.35 | mouse-event%
3.36 | pane%
3.37 | panel%
3.38 | popup-menu%
3.39 | printer-dc%
3.40 | radio-box%
3.41 | selectable-menu-item<%>
3.42 | separator-menu-item%
3.43 | scroll-event%
3.44 | slider%
3.45 | subarea<%>
3.46 | subwindow<%>
3.47 | tab-panel%
3.48 | text-field%
3.49 | timer%
3.50 | top-level-window<%>
3.51 | vertical-pane%
3.52 | vertical-panel%
3.53 | window<%>

On this page:

new
enable
get-frame
is-enabled?

Inherited methods:
from menu-item-container<%>
get-items
on-demand

top ← prev up next →

> class

> menu-bar% : class?

superclass: object%

extends: | menu-item-container<%>

A menu-bar% object is created for a particular frame% object. A frame can have at most one menu bar; an exn:fail:contract exception is raised when a new menu bar is created for a frame that already has a menu bar.

> > constructor

> > (new menu-bar% |
> > |  | [parent parent] |
> > | [ | [demand-callback demand-callback]]) |

> → (is-a?/c menu-bar%)
> parent : (or/c (is-a?/c frame%) 'root)

> | demand-callback |  | : |  | ((is-a?/c menu-bar%) . -> . any)
> |  |  | = |  | (lambda (m) (void))

Creates a menu bar in the specified frame. The menu bar is initially empty. If 'root is supplied as parent, the menu bar becomes active only when no other frames are shown. A 'root parent is allowed only when current-eventspace-has-menu-root? returns #t, and only if no such menu bar has been created before, otherwise an exn:fail:contract exception is raised.

The demand-callback procedure is called by the default on-demand method with the object itself.

> > method

> > (send a-menu-bar enable enable?) → void?

> enable? : any/c

Enables or disables the menu bar (i.e., all of its menus). Each menu’s is-enabled? method returns #f only if the menu is specifically disabled (in addition to the menu bar).

> > method

> > (send a-menu-bar get-frame) → (or/c (is-a?/c frame%) 'root)

Returns the menu bar’s frame, or returns 'root if the menu bar is shown when no other frames are shown.

> > method

> > (send a-menu-bar is-enabled?) → boolean?

Returns #t if the menu bar is enabled, #f otherwise.
top ← prev up next →